-- Author      : CaptJack2883
-- Create Date : 10/13/2012 8:28:25 AM

-- Put Variables in Junk_Filter.lua

function JunkFilterConfig_OnLoad(panel)	
	panel.name = "Junk Filter"
	panel.okay = function (self) JunkFilterConfig_Close() end
	panel.cancel = function (self) JunkFilterConfig_CancelOrLoad() end
	panel.refresh = function (self) JunkFilterConfig_Refresh() end
	panel.default = function (self) JunkFilterConfig_Default() end
	InterfaceOptions_AddCategory(panel)
end

function JFConfigShow()
	InterfaceOptionsFrame_OpenToCategory(JunkFilterConfig)
	InterfaceOptionsFrame_OpenToCategory(JunkFilterConfig)
end

function JunkFilterConfig_Default()
	JFBoxMaxDelete:SetNumeric(true)
	JFBoxHowMany:SetNumeric(true)
	JFBoxMaxDelete:SetNumber(JFMaxCopperDelete)
	JFBoxHowMany:SetNumber(JFHowMany)
	JFCheckVerboseSet(JFVerboseToggle)
end

function JunkFilterConfig_Refresh()	
	JFBoxMaxDelete:SetNumeric(true)
	JFBoxHowMany:SetNumeric(true)
	JFBoxMaxDelete:SetNumber(JFMaxCopperDelete)
	JFBoxHowMany:SetNumber(JFHowMany)
	JFCheckVerboseSet(JFVerboseToggle)
end

function JFOptionsButtonHide_OnClick()
	JunkFrame:Hide()
	JFMainHidden = 0
end

function JFOptionsButtonShowJF_OnClick()
	JunkFrame:Show()
	JFMainHidden = 1
end

function JunkFilterConfig_Close()
	JFHowMany = JFBoxHowMany:GetNumber()
	JFMaxCopperDelete = JFBoxMaxDelete:GetNumber()
	JFVerboseToggle = JFVerboseCheckbox:GetChecked()
	JFSetEnglishVerbose(JFVerboseToggle)
	if JFVerboseToggle == 1 then
		print("Junk Filter:")
		print("You have chosen:")
		print("Empty Slots:", JFHowMany)
		print("Max Delete (copper):", JFMaxCopperDelete)
		print("Verbose Mode:", JFEnglishVerbose)	
	end
end

function JunkFilterConfig_CancelOrLoad()
	JFBoxMaxDelete:SetNumeric(true)
	JFBoxHowMany:SetNumeric(true)
	JFBoxMaxDelete:SetNumber(JFMaxCopperDelete)	
	JFBoxHowMany:SetNumber(JFHowMany)
	JFCheckVerboseSet(JFVerboseToggle)
end

function JFCheckVerboseGet(enabled)
	if enabled == nil then
		JFVerboseToggle = false
	elseif enabled == 1 then
		JFVerboseToggle = true
	else
		JFVerboseToggle = enabled
	end
end

function JFCheckVerboseSet(enabled)
	if enabled == nil then
		JFVerboseCheckbox:SetChecked(false)
	elseif enabled == 1 then
		JFVerboseCheckbox:SetChecked(true)
	else
		JFVerboseCheckbox:SetChecked(enabled)
	end
end

function JFSetEnglishVerbose(toggle)
	if toggle == nil then
		if JFEnglishVerbose == "On" then
			print("Verbose Mode is now Off")
		end
		JFEnglishVerbose = "Off"
	elseif toggle == 1 then
		JFEnglishVerbose = "On"
	end	
end
